Bug 245308 - [exp-run] update py-sip to 4.19.21 and qscintilla2 to 2.11.4
Summary: [exp-run] update py-sip to 4.19.21 and qscintilla2 to 2.11.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-03 06:41 UTC by Loïc Bartoletti
Modified: 2020-04-18 04:37 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
py-sip to 4.19.21 and qscintilla2 to 2.11.4 (24.89 KB, patch)
2020-04-03 06:41 UTC, Loïc Bartoletti
no flags Details | Diff
py-sip to 4.19.21 and qscintilla2 to 2.11.4 (24.89 KB, patch)
2020-04-03 06:48 UTC, Loïc Bartoletti
no flags Details | Diff
py-sip to 4.19.21 and qscintilla2 to 2.11.4 (25.29 KB, patch)
2020-04-03 09:58 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-04-03 06:41:47 UTC
Created attachment 213007 [details]
py-sip to 4.19.21 and qscintilla2 to 2.11.4

Hi there

kde@ would like to ask for an exp-run to update devel/py-sip and devel/qscintilla2 to the newest versions.

Thanks,

Loïc
Comment 1 Loïc Bartoletti freebsd_committer 2020-04-03 06:48:41 UTC
Created attachment 213008 [details]
py-sip to 4.19.21 and qscintilla2 to 2.11.4
Comment 2 Loïc Bartoletti freebsd_committer 2020-04-03 09:58:31 UTC
Created attachment 213009 [details]
py-sip to 4.19.21 and qscintilla2 to 2.11.4

fix qscintilla
Comment 3 Antoine Brodin freebsd_committer 2020-04-10 20:08:26 UTC
Exp-run looks fine
Comment 4 Tobias C. Berner freebsd_committer 2020-04-10 22:19:17 UTC
Loic, feel free to commit this.

mfg Tobias (with hats maintainer & mentor).
Comment 5 Loïc Bartoletti freebsd_committer 2020-04-11 04:58:30 UTC
Thanks for the exp-run.

There is only a minor change between the exp-run and my commit. www/qutebrowser was update to 1.10.1 meanwhile, I tested it on my machine.
Comment 6 commit-hook freebsd_committer 2020-04-11 05:05:08 UTC
A commit references this bug:

Author: lbartoletti
Date: Sat Apr 11 05:04:55 UTC 2020
New revision: 531396
URL: https://svnweb.freebsd.org/changeset/ports/531396

Log:
  Update py-sip to 4.19.21 and qscintilla2 to 2.11.4

    - Update py-sip to 4.19.21
    - Update qscintilla2 to 2.11.4
    - Replace MASTER_SITE_RIVERBANK with https versions
    - Replace QSCI2_DISTNAME to match with the new one

  PR:		245308
  Approved by:	tcberner (mentor)
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/pyqt.mk
  head/audio/cadence/Makefile
  head/audio/carla/Makefile
  head/audio/picard/Makefile
  head/cad/openscad/Makefile
  head/cad/openscad-devel/Makefile
  head/comms/py-qt5-serialport/Makefile
  head/databases/py-qt5-sql/Makefile
  head/databases/sqlitebrowser/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/py-autokey/Makefile
  head/deskutils/treeline/Makefile
  head/devel/eric6/Makefile
  head/devel/py-qt5-core/Makefile
  head/devel/py-qt5-dbus/Makefile
  head/devel/py-qt5-dbussupport/Makefile
  head/devel/py-qt5-designer/Makefile
  head/devel/py-qt5-designerplugin/Makefile
  head/devel/py-qt5-help/Makefile
  head/devel/py-qt5-test/Makefile
  head/devel/py-qtconsole/Makefile
  head/devel/py-sip/Makefile
  head/devel/py-sip/distinfo
  head/devel/py-spyder/Makefile
  head/devel/qscintilla2-designerplugin-qt5/Makefile
  head/devel/qscintilla2-qt5/Makefile
  head/devel/qscintilla2-qt5/distinfo
  head/devel/tortoisehg/Makefile
  head/devel/vitables/Makefile
  head/emulators/fs-uae-launcher/Makefile
  head/games/anki/Makefile
  head/games/py-mnemosyne/Makefile
  head/graphics/py-python-poppler-qt5/Makefile
  head/graphics/py-qt5-svg/Makefile
  head/graphics/qgis/Makefile
  head/graphics/qgis-ltr/Makefile
  head/graphics/rapid-photo-downloader/Makefile
  head/lang/py-qt5-qml/Makefile
  head/math/convertall/Makefile
  head/math/octave/Makefile
  head/math/rpcalc/Makefile
  head/misc/py-qt5-demo/Makefile
  head/multimedia/py-openlp/Makefile
  head/multimedia/py-qt5-multimedia/Makefile
  head/multimedia/py-qt5-multimediawidgets/Makefile
  head/net/py-qt5-network/Makefile
  head/net-mgmt/nagstamon/Makefile
  head/print/frescobaldi/Makefile
  head/print/hplip/Makefile
  head/print/py-qt5-printsupport/Makefile
  head/science/code_saturne/Makefile
  head/science/py-veusz/Makefile
  head/textproc/py-qt5-xml/Makefile
  head/textproc/py-qt5-xmlpatterns/Makefile
  head/textproc/retext/Makefile
  head/www/onionshare/Makefile
  head/www/py-qt5-webchannel/Makefile
  head/www/py-qt5-webengine/Makefile
  head/www/py-qt5-webkit/Makefile
  head/www/py-qt5-webkitwidgets/Makefile
  head/www/py-qt5-websockets/Makefile
  head/www/qutebrowser/Makefile
  head/x11/py-qt5-opengl/Makefile
  head/x11-toolkits/py-qt5-gui/Makefile
  head/x11-toolkits/py-qt5-quick/Makefile
  head/x11-toolkits/py-qt5-quickwidgets/Makefile
  head/x11-toolkits/py-qt5-widgets/Makefile